package logic

import (
	"context"
	"trasfer_middleware/until/common"

	"trasfer_middleware/cmd/rpc/internal/svc"
	"trasfer_middleware/cmd/rpc/pb/transfer"

	"github.com/zeromicro/go-zero/core/logx"
)

type PhysicalOrderListLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewPhysicalOrderListLogic(ctx context.Context, svcCtx *svc.ServiceContext) *PhysicalOrderListLogic {
	return &PhysicalOrderListLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *PhysicalOrderListLogic) PhysicalOrderList(in *transfer.PhysicalOrderListReq) (*transfer.PhysicalOrderListRes, error) {
	res, err := l.svcCtx.Physical.SetData(l.ctx, in.AppId, common.StructToMap(in), &l.svcCtx.Config.Mq).OrderList()

	return res, err
}
